# Overview

This tool is designed to export raw data collected by NVIDIA Nsight Systems. It does no data processing other than conversion to the selected format. It’s available as export command in nsys CLI in Windows and Linux distributions of Nsight Systems.

## Usage

If invoked with `-h, --help` option the tool will print usage instructions:

    usage: nsys export [<args>] [qdrep-file]
    args:
      -h, --help
         This help message.

      -o, --output=
         Path to results file.
         Default is name of input file with modified extension.

      -t, --type=
         Possible values are: sqlite, hdf, text, json, info.
         Export format type.

      -f, --force-overwrite=
         Possible values are 'true' or 'false'.
         If true, overwrite an existing result file.
         Default is 'false'.

      -q, --quiet=
         Possible values are 'true' or 'false'.
         If true, don't display progress bar.
         Default is 'false'.

      --separate-strings=
         Possible values are 'true' or 'false'.
         Output stored strings and thread names separately - one value per line.
         This affects JSON and text output only.
         Default is 'false'.

Typically, you will only need to pass the path to Nsight Systems report file and desired output format: `./nsys export --type sqlite path/to/some.qdrep`. This will export given report into SQLite database file located in current directory and named `some.sqlite`.

## Known issues

Export to an SQLite database will fail, if the destination filesystem does not support file locking. The error message will mention:

    std::exception::what: database is locked